package de.nanoleaf.tools.panelconfig;

import io.github.rowak.nanoleafapi.Panel;

public class PanelInfo {

	int m_panelID = 0;
	int m_panelNanoleafID = 0;
	int m_panelMatrixPosX = 0;
	int m_panelMatrixPosY = 0;
	String m_panelColor = null;
	boolean m_panelActiv = true;
	boolean m_panelInit = false;
	Panel m_panel;
	String m_boarder = null;
	
	public PanelInfo() {
		
	}
	
	public PanelInfo(int panelnr, Panel panel) {
		this.m_panelID = panelnr;
		this.m_panel = panel;
		this.m_panelNanoleafID = panel.getId();
		this.m_panelMatrixPosX = panel.getX();
		this.m_panelMatrixPosY = panel.getY();
	}


	public int getPanelID() {
		return m_panelID;
	}
	public void setPanelID(int panelID) {
		m_panelID = panelID;
	}


	public int getPanelNanoleafID() {
		return m_panelNanoleafID;
	}
	public void setPanelNanoleafID(int panelNanoleafID) {
		m_panelNanoleafID = panelNanoleafID;
	}


	public int getPanelMatrixPosX() {
		return m_panelMatrixPosX;
	}
	public void setPanelMatrixPosX(int panelMatrixPosX) {
		m_panelMatrixPosX = panelMatrixPosX;
	}


	public int getPanelMatrixPosY() {
		return m_panelMatrixPosY;
	}
	public void setPanelMatrixPosY(int panelMatrixPosY) {
		m_panelMatrixPosY = panelMatrixPosY;
	}


	public String getPanelColor() {
		return m_panelColor;
	}
	public void setPanelColor(String panelColor) {
		m_panelColor = panelColor;
	}


	public boolean getPanelActiv() {
		return m_panelActiv;
	}
	public void setPanelActiv(boolean panelActiv) {
		m_panelActiv = panelActiv;
	}


	public boolean getPanelInit() {
		return m_panelInit;
	}
	public void setPanelInit(boolean panelInit) {
		m_panelInit = panelInit;
	}

	public Panel getPanel() {
		return m_panel;
	}

	public String getBoarder() {
		return m_boarder;
	}

	public void setBoarder(String boarder) {
		m_boarder = boarder;
	}
	
	

}
